# NOTE:
# there's no maintainer for the pecl project, so consider this
# extension dead.
%define		php_name	php%{?php_suffix}
%define		modname	msession
%define		status		stable
Summary:	%{modname} - extension module for PHP
Summary(pl.UTF-8):	%{modname} - moduł msession dla PHP
Name:		%{php_name}-pecl-%{modname}
Version:	1.0
Release:	4
License:	PHP 3.01
Group:		Development/Languages/PHP
# extracted from php-5.1.2 sources as pecl/msession appears to be older
Source0:	%{modname}.tar.bz2
# Source0-md5:	a256f635be818a7247d7be15061256f0
Patch0:		msession-shared-lib.patch
URL:		http://pecl.php.net/package/msession/
BuildRequires:	phoenix-devel
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Provides:	php(msession)
Obsoletes:	php-msession
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
msession is a high speed session daemon which can run either locally
or remotely. It is designed to provide consistent session management
for a PHP web farm.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Moduł PHP dodający umożliwiający korzystanie z demona msession. Jest
to demon szybkiej obsługi sesji, który może działać lokalnie lub na
innej maszynie. Służy do zapewniania spójnej obsługi sesji dla farmy
serwerów.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -q -n %{modname}
%patch0 -p3

%build
phpize
%configure \
	--with-msession=shared,/usr
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-msession.git;a=log;h=master

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> bc56460
support building for multiple php versions

* Tue Jan 31 2012 Elan Ruusamäe <glen@pld-linux.org> 59a0a61
- release 4

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> cb6fd4d
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> de14873
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4be6911
- converted to UTF-8

* Thu Jan 04 2007 Elan Ruusamäe <glen@pld-linux.org> c76b81c
- typo

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> c858e08
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> f102ff8
- rel 3 (php 5.2.0)

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> 5c25bd1
- rel 2: add Provides: php(%{_modname})

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> beaae2c
- BR rpmmacros for fixed %requires_php_extension

* Thu May 04 2006 Elan Ruusamäe <glen@pld-linux.org> 255884a
- add forgotten exclusivearch: x86 only lib

* Thu May 04 2006 Elan Ruusamäe <glen@pld-linux.org> af4e2a1
- add shared patch
- take src from php 5.1.2 as pecl/msession appears to be older
- builds, rel 1

* Thu May 04 2006 Elan Ruusamäe <glen@pld-linux.org> f225054
- copied from php-msession-shared-lib.patch

* Thu May 04 2006 Elan Ruusamäe <glen@pld-linux.org> 90f1edd
- try with cvs snapshot

* Thu May 04 2006 Elan Ruusamäe <glen@pld-linux.org> 31acd9b
- not yet released, based on php.spec

